## alawdec alawdec |

## Types and Values

struct | GstALawDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstALawDec

## Description

This element decodes alaw audio. Alaw coding is also known as G.711.

## Synopsis

### Element Information

plugin | alaw
author | Zaheer Abbas Merali <zaheerabbas at merali dot org>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-alaw, rate=(int)[ 8000, 192000 ], channels=(int)[ 1, 2 ]

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 8000, 192000 ], channels=(int)[ 1, 2 ]

## Functions

## Types and Values

### struct GstALawDec

    struct GstALawDec;